Upload latest audit
Queue the newest Full assessment of the default branch, or try a failed one again.
POST
Queue the newest Full assessment of the default branch, or try a failed one again.
workspaceTokenheader
AuthorizationBearer <vat_<opaque-token>>Expiring, hashed workspace token with explicit scopes.
workspace_id*Workspace IdFormat
uuidrepository_id*Repository IdFormat
uuidSuccessful Response
application/json- response
attempts*Attemptsaudit_id*Audit IdFormat
uuidcommit_sha*Commit Shacompleted_at*|nullcreated_at*Created AtFormat
date-timeerror_code*string|nullerror_detail*string|nullid*IdFormat
uuidomitted?Findings left out of the SARIF file, by reason: closed, unconfirmed, no_code_location (most architectural findings) or over_limit.
ref*Refresults_count*Results Countstatus*StatusValue in
"queued""uploading""processing""succeeded""failed""skipped"uploaded_at*|nullcurl -X POST 'https://api.veriom.ai/v1/workspaces/497f6eca-6276-4993-bfeb-53cbbbba6f08/repositories/497f6eca-6276-4993-bfeb-53cbbbba6f08/code-scanning/uploads'Example Response
{ "attempts": 0, "audit_id": "78c04fa6-cfb4-46a0-9aa5-3681ba4f3897", "commit_sha": "string", "completed_at": "2019-08-24T14:15:22Z", "created_at": "2019-08-24T14:15:22Z", "error_code": "string", "error_detail": "string", "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "omitted": { "property1": 0, "property2": 0 }, "ref": "string", "results_count": 0, "status": "queued", "uploaded_at": "2019-08-24T14:15:22Z"}